# Fetching a list of Exchange Tables

Returns a list of exchange tables associated with your account, and their default settings details.

Endpoint: GET /foreign_exchange/exchange_tables
Version: 1.0.0

## Response 200:

  - `200` (unknown)
    A list of Exchange Tables have been retrieved.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of exchange tables in the response.

  - `meta` (object)

  - `meta.count` (integer)
    Number of exchange tables in the response.

  - `meta.page_count` (integer)
    Number of pagination pages available.

  - `meta.page_number` (integer)
    Current pagination page.

  - `meta.page_size` (integer)
    Number of elements in a pagination page.

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)
    The ID of the exchange table.

  - `exchange_tables` (object)

  - `exchange_tables.id` (object)

  - `exchange_tables.id.id` (string)
    The ID of the exchange table.

  - `exchange_tables.id.name` (string)
    The name of the exchange table.

  - `exchange_tables.id.account_default` (boolean)
    If true, this is set as the default exchange table for currency conversions across your entire account.

  - `exchange_tables.id.insights_account_default` (boolean)
    If true, this is set as the default exchange table for currency conversions in Insights reports.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

